Bug 457217 - gcc actual optimization for -O, -Os, -O2, and -O3 does not match man page
gcc actual optimization for -O, -Os, -O2, and -O3 does not match man page
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 06:02 EDT by Edwin ten Brink
Modified: 2009-07-14 11:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edwin ten Brink 2008-07-30 06:02:42 EDT
Description of problem:
When comparing the man page info on which optimizations are enabled at which
optimization level, some discrepancies can be found. Either the man-page or gcc
needs to be updated to match each other.

When the output of:
# gcc -c -Q -O --help=optimizers
# gcc -c -Q -Os --help=optimizers
# gcc -c -Q -O2 --help=optimizers
# gcc -c -Q -O3 --help=optimizers
is compared against the man-page, the following discrepancies can be observed:

Not enabled at at the levels indicated in the man-page:
       -fcse-skip-blocks
           Enabled at levels -O2, -O3, -Os.
       -fdelayed-branch
           Enabled at levels -O, -O2, -O3, -Os.
       -fschedule-insns
           Enabled at levels -O2, -O3, -Os.
       -falign-loops
           Enabled at levels -O2, -O3. (but is actually enabled at -O)

Not listed in output, unknown if it's enabled
       -fstrict-overflow
           Enabled at levels -O2, -O3, -Os.
       -falign-functions
           Enabled at levels -O2, -O3.

Not listed in output
       -fauto-inc-dec
       -fsee
       -fipa-struct-reorg
       -fcheck-data-deps
       -ftracer
       -fprofile-generate
       -fprofile-use
       -fno-math-errno
       -fassociative-math
       -freciprocal-math
       -ffinite-math-only
       -fprofile-values
       -ffunction-sections
       -fstack-protector
       -fstack-protector-all

The ones not listed in the output should be shown to give a detailed overview of
what each level implies.


Version-Release number of selected component (if applicable):
# gcc --version
gcc (GCC) 4.3.0 20080428 (Red Hat 4.3.0-8)
# rpm -q gcc
gcc-4.3.0-8.i386


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 22:17:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 11:26:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.